<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.4.2) on Mon May 16 15:57:06 EDT 2005 -->
<TITLE>
A-Index
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../apistyles.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="A-Index";
}
</SCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../serialized-form.html"><FONT CLASS="NavBarFont1"><B>Serialized</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<A HREF="#main"><FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV LETTER&nbsp;
&nbsp;<A HREF="index-2.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-1.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<A NAME="main"></A>
<A HREF="index-1.html">A</A> <A HREF="index-2.html">B</A> <A HREF="index-3.html">C</A> <A HREF="index-4.html">D</A> <A HREF="index-5.html">E</A> <A HREF="index-6.html">F</A> <A HREF="index-7.html">G</A> <A HREF="index-8.html">H</A> <A HREF="index-9.html">I</A> <A HREF="index-10.html">L</A> <A HREF="index-11.html">M</A> <A HREF="index-12.html">N</A> <A HREF="index-13.html">O</A> <A HREF="index-14.html">P</A> <A HREF="index-15.html">Q</A> <A HREF="index-16.html">R</A> <A HREF="index-17.html">S</A> <A HREF="index-18.html">T</A> <A HREF="index-19.html">U</A> <A HREF="index-20.html">V</A> <A HREF="index-21.html">W</A> <A HREF="index-22.html">X</A> <HR>
<A NAME="_A_"><!-- --></A><H2>
<B>A</B></H2>
<DL>
<DT><A HREF="../org/eclipse/wst/common/componentcore/ArtifactEdit.html#ADAPTER_TYPE"><B>ADAPTER_TYPE</B></A> - 
Static variable in class org.eclipse.wst.common.componentcore.<A HREF="../org/eclipse/wst/common/componentcore/ArtifactEdit.html" title="class in org.eclipse.wst.common.componentcore">ArtifactEdit</A>
<DD>&nbsp;
<DT><A HREF="../org/eclipse/wst/server/core/model/IModuleResourceDelta.html#ADDED"><B>ADDED</B></A> - 
Static variable in interface org.eclipse.wst.server.core.model.<A HREF="../org/eclipse/wst/server/core/model/IModuleResourceDelta.html" title="interface in org.eclipse.wst.server.core.model">IModuleResourceDelta</A>
<DD>Kind constant (value 1) for added resources.
<DT><A HREF="../org/eclipse/wst/server/core/model/ServerBehaviourDelegate.html#ADDED"><B>ADDED</B></A> - 
Static variable in class org.eclipse.wst.server.core.model.<A HREF="../org/eclipse/wst/server/core/model/ServerBehaviourDelegate.html" title="class in org.eclipse.wst.server.core.model">ServerBehaviourDelegate</A>
<DD>Publish kind constant (value 1) for added resources.
<DT><A HREF="../org/eclipse/wst/common/componentcore/ArtifactEdit.html" title="class in org.eclipse.wst.common.componentcore"><B>ArtifactEdit</B></A> - class org.eclipse.wst.common.componentcore.<A HREF="../org/eclipse/wst/common/componentcore/ArtifactEdit.html" title="class in org.eclipse.wst.common.componentcore">ArtifactEdit</A>.<DD>Provides a Facade pattern for accessing Module Content Metamodels for Web Tools Platform flexible
 modules.<DT><A HREF="../org/eclipse/wst/common/componentcore/ArtifactEdit.html#ArtifactEdit(org.eclipse.wst.common.componentcore.internal.ArtifactEditModel)"><B>ArtifactEdit(ArtifactEditModel)</B></A> - 
Constructor for class org.eclipse.wst.common.componentcore.<A HREF="../org/eclipse/wst/common/componentcore/ArtifactEdit.html" title="class in org.eclipse.wst.common.componentcore">ArtifactEdit</A>
<DD>
 Creates an instance facade for the given <CODE>ArtifactEditModel</CODE>.
<DT><A HREF="../org/eclipse/wst/common/componentcore/ArtifactEdit.html#ArtifactEdit(org.eclipse.wst.common.componentcore.ModuleCoreNature, org.eclipse.wst.common.componentcore.resources.IVirtualComponent, boolean)"><B>ArtifactEdit(ModuleCoreNature, IVirtualComponent, boolean)</B></A> - 
Constructor for class org.eclipse.wst.common.componentcore.<A HREF="../org/eclipse/wst/common/componentcore/ArtifactEdit.html" title="class in org.eclipse.wst.common.componentcore">ArtifactEdit</A>
<DD>
 Creates an instance facade for the given <CODE>WorkbenchComponent</CODE>.
<DT><A HREF="../org/eclipse/wst/common/componentcore/ArtifactEdit.html#ArtifactEdit(org.eclipse.wst.common.componentcore.resources.ComponentHandle, boolean)"><B>ArtifactEdit(ComponentHandle, boolean)</B></A> - 
Constructor for class org.eclipse.wst.common.componentcore.<A HREF="../org/eclipse/wst/common/componentcore/ArtifactEdit.html" title="class in org.eclipse.wst.common.componentcore">ArtifactEdit</A>
<DD>
 Creates an instance facade for the given <CODE>WorkbenchComponent</CODE>.
<DT><A HREF="../org/eclipse/wst/wsdl/ExtensibleElement.html#addExtensibilityElement(org.eclipse.wst.wsdl.ExtensibilityElement)"><B>addExtensibilityElement(ExtensibilityElement)</B></A> - 
Method in interface org.eclipse.wst.wsdl.<A HREF="../org/eclipse/wst/wsdl/ExtensibleElement.html" title="interface in org.eclipse.wst.wsdl">ExtensibleElement</A>
<DD>&nbsp;
<DT><A HREF="../org/eclipse/wst/common/componentcore/ArtifactEdit.html#addListener(org.eclipse.wst.common.internal.emfworkbench.integration.EditModelListener)"><B>addListener(EditModelListener)</B></A> - 
Method in class org.eclipse.wst.common.componentcore.<A HREF="../org/eclipse/wst/common/componentcore/ArtifactEdit.html" title="class in org.eclipse.wst.common.componentcore">ArtifactEdit</A>
<DD>
 Add a listener to track lifecylce events from the underlying EditModel.
<DT><A HREF="../org/eclipse/wst/common/componentcore/ModuleCoreNature.html#addModuleCoreNatureIfNecessary(IProject, IProgressMonitor)"><B>addModuleCoreNatureIfNecessary(IProject, IProgressMonitor)</B></A> - 
Static method in class org.eclipse.wst.common.componentcore.<A HREF="../org/eclipse/wst/common/componentcore/ModuleCoreNature.html" title="class in org.eclipse.wst.common.componentcore">ModuleCoreNature</A>
<DD>
 Adds a ModuleCoreNature to the project.
<DT><A HREF="../org/eclipse/wst/server/core/IRuntimeWorkingCopy.html#addPropertyChangeListener(java.beans.PropertyChangeListener)"><B>addPropertyChangeListener(PropertyChangeListener)</B></A> - 
Method in interface org.eclipse.wst.server.core.<A HREF="../org/eclipse/wst/server/core/IRuntimeWorkingCopy.html" title="interface in org.eclipse.wst.server.core">IRuntimeWorkingCopy</A>
<DD>Adds a property change listener to this runtime.
<DT><A HREF="../org/eclipse/wst/server/core/IServerWorkingCopy.html#addPropertyChangeListener(java.beans.PropertyChangeListener)"><B>addPropertyChangeListener(PropertyChangeListener)</B></A> - 
Method in interface org.eclipse.wst.server.core.<A HREF="../org/eclipse/wst/server/core/IServerWorkingCopy.html" title="interface in org.eclipse.wst.server.core">IServerWorkingCopy</A>
<DD>Adds a property change listener to this server.
<DT><A HREF="../org/eclipse/wst/server/core/ServerCore.html#addRuntimeLifecycleListener(org.eclipse.wst.server.core.IRuntimeLifecycleListener)"><B>addRuntimeLifecycleListener(IRuntimeLifecycleListener)</B></A> - 
Static method in class org.eclipse.wst.server.core.<A HREF="../org/eclipse/wst/server/core/ServerCore.html" title="class in org.eclipse.wst.server.core">ServerCore</A>
<DD>Adds a new runtime lifecycle listener.
<DT><A HREF="../org/eclipse/wst/server/core/ServerCore.html#addServerLifecycleListener(org.eclipse.wst.server.core.IServerLifecycleListener)"><B>addServerLifecycleListener(IServerLifecycleListener)</B></A> - 
Static method in class org.eclipse.wst.server.core.<A HREF="../org/eclipse/wst/server/core/ServerCore.html" title="class in org.eclipse.wst.server.core">ServerCore</A>
<DD>Adds a new server lifecycle listener.
<DT><A HREF="../org/eclipse/wst/server/core/IServer.html#addServerListener(org.eclipse.wst.server.core.IServerListener)"><B>addServerListener(IServerListener)</B></A> - 
Method in interface org.eclipse.wst.server.core.<A HREF="../org/eclipse/wst/server/core/IServer.html" title="interface in org.eclipse.wst.server.core">IServer</A>
<DD>Adds the given server state listener to this server.
<DT><A HREF="../org/eclipse/wst/server/core/IServer.html#addServerListener(org.eclipse.wst.server.core.IServerListener, int)"><B>addServerListener(IServerListener, int)</B></A> - 
Method in interface org.eclipse.wst.server.core.<A HREF="../org/eclipse/wst/server/core/IServer.html" title="interface in org.eclipse.wst.server.core">IServer</A>
<DD>Adds the given server state listener to this server.
<DT><A HREF="../org/eclipse/wst/wsdl/util/WSDLResourceImpl.html#attached(EObject)"><B>attached(EObject)</B></A> - 
Method in class org.eclipse.wst.wsdl.util.<A HREF="../org/eclipse/wst/wsdl/util/WSDLResourceImpl.html" title="class in org.eclipse.wst.wsdl.util">WSDLResourceImpl</A>
<DD>&nbsp;
</DL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../serialized-form.html"><FONT CLASS="NavBarFont1"><B>Serialized</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<A HREF="#main"><FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV LETTER&nbsp;
&nbsp;<A HREF="index-2.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-1.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">B</A> <A HREF="index-3.html">C</A> <A HREF="index-4.html">D</A> <A HREF="index-5.html">E</A> <A HREF="index-6.html">F</A> <A HREF="index-7.html">G</A> <A HREF="index-8.html">H</A> <A HREF="index-9.html">I</A> <A HREF="index-10.html">L</A> <A HREF="index-11.html">M</A> <A HREF="index-12.html">N</A> <A HREF="index-13.html">O</A> <A HREF="index-14.html">P</A> <A HREF="index-15.html">Q</A> <A HREF="index-16.html">R</A> <A HREF="index-17.html">S</A> <A HREF="index-18.html">T</A> <A HREF="index-19.html">U</A> <A HREF="index-20.html">V</A> <A HREF="index-21.html">W</A> <A HREF="index-22.html">X</A> <HR>

</BODY>
</HTML>
